package controller

import (
	"context"
	"micro-bundle/internal/logic"
	"micro-bundle/pb/bundle"
)

func (b *BundleProvider) BundleExtend(_ context.Context, req *bundle.BundleExtendRequest) (*bundle.BundleExtendResponse, error) {
	return logic.BundleExtend(req)
}

func (b *BundleProvider) BundleExtendRecordsList(_ context.Context, req *bundle.BundleExtendRecordsListRequest) (*bundle.BundleExtendRecordsListResponse, error) {
	return logic.BundleExtendRecordsList(req)
}

func (b *BundleProvider) GetBundleBalance(_ context.Context, req *bundle.GetBundleBalanceReq) (*bundle.GetBundleBalanceResp, error) {
	return logic.GetBundleBalance(req)
}
